package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.DistrictCounty;
import com.lightinit.hsdatashow.entity.Gdp;
import com.lightinit.hsdatashow.entity.GdpOccupationRatio;
import com.lightinit.hsdatashow.entity.GdpOccupationRatioExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface GdpOccupationRatioMapper {
    long countByExample(GdpOccupationRatioExample example);

    int deleteByExample(GdpOccupationRatioExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GdpOccupationRatio record);

    int insertSelective(GdpOccupationRatio record);

    List<GdpOccupationRatio> selectByExample(GdpOccupationRatioExample example);

    GdpOccupationRatio selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GdpOccupationRatio record, @Param("example") GdpOccupationRatioExample example);

    int updateByExample(@Param("record") GdpOccupationRatio record, @Param("example") GdpOccupationRatioExample example);

    int updateByPrimaryKeySelective(GdpOccupationRatio record);

    int updateByPrimaryKey(GdpOccupationRatio record);

    List<GdpOccupationRatio> selectList(long year);
    List<GdpOccupationRatio> selectList2(long year);
}